pydo.firewalls.delete_rules()
Generated on 8 May 2026
from pydo version
v0.34.0
Usage
client.firewalls.delete_rules(
firewall_id="bb4b2611-3d72-467b-8602-280330ecd65c",
body={
"inbound_rules": [...],
"outbound_rules": [...],
},
)Description
To remove access rules from a firewall, send a DELETE request to
/v2/firewalls/{firewall_id}/rules. The body of the request may include an
inbound_rules and/or outbound_rules attribute containing an array of rules
to be removed.
No response body will be sent back, but the response code will indicate success. Specifically, the response code will be a 204, which means that the action was successful with no returned body data.
Parameters
firewall_idstring requiredA unique ID that can be used to identify and reference a firewall.
inbound_rulesarray of objects or null optionalShow child properties
protocolstring requiredThe type of traffic to be allowed. This may be one of
tcp,udp, oricmp.portsstring requiredExample:
8000The ports on which traffic will be allowed specified as a string containing a single port, a range (e.g. "8000-9000"), or "0" when all ports are open for a protocol. For ICMP rules this parameter will always return "0".
sourcesobject requiredShow child properties
addressesarray of strings optionalExample:
['1.2.3.4', '18.0.0.0/8']An array of strings containing the IPv4 addresses, IPv6 addresses, IPv4 CIDRs, and/or IPv6 CIDRs to which the firewall will allow traffic.
droplet_idsarray of integers optionalExample:
[8043964]An array containing the IDs of the Droplets to which the firewall will allow traffic.
load_balancer_uidsarray of strings optionalExample:
['4de7ac8b-495b-4884-9a69-1050c6793cd6']An array containing the IDs of the load balancers to which the firewall will allow traffic.
kubernetes_idsarray of strings optionalExample:
['41b74c5d-9bd0-5555-5555-a57c495b81a3']An array containing the IDs of the Kubernetes clusters to which the firewall will allow traffic.
tagsobject optional
outbound_rulesarray of objects or null optionalShow child properties
protocolstring requiredThe type of traffic to be allowed. This may be one of
tcp,udp, oricmp.portsstring requiredExample:
8000The ports on which traffic will be allowed specified as a string containing a single port, a range (e.g. "8000-9000"), or "0" when all ports are open for a protocol. For ICMP rules this parameter will always return "0".
destinationsobject requiredShow child properties
addressesarray of strings optionalExample:
['1.2.3.4', '18.0.0.0/8']An array of strings containing the IPv4 addresses, IPv6 addresses, IPv4 CIDRs, and/or IPv6 CIDRs to which the firewall will allow traffic.
droplet_idsarray of integers optionalExample:
[8043964]An array containing the IDs of the Droplets to which the firewall will allow traffic.
load_balancer_uidsarray of strings optionalExample:
['4de7ac8b-495b-4884-9a69-1050c6793cd6']An array containing the IDs of the load balancers to which the firewall will allow traffic.
kubernetes_idsarray of strings optionalExample:
['41b74c5d-9bd0-5555-5555-a57c495b81a3']An array containing the IDs of the Kubernetes clusters to which the firewall will allow traffic.
tagsobject optional
Request Sample
More Information
See /v2/firewalls/{firewall_id}/rules in the API reference for additional detail on responses, headers, parameters, and more.